from pydantic import BaseModel

from src.huesoporro.infra.db import Database
from src.huesoporro.models import Sentence, User


class SentencesGetterSvc(BaseModel):
    db: Database

    async def run(self, user: User) -> list[Sentence]:
        return await self.db.get_sentences(user=user)
